Summary: The GNU versions of find utilities (find and xargs)
Name: findutils
Version: 4.4.2
Release: 1
Epoch: 1
License: GPLv3+
Group: Applications/File
URL: http://www.gnu.org/software/findutils/
Source0: ftp://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.gz
Source1: ftp://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.gz.sig
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: gettext, info
Requires: /sbin/install-info, info, gettext


%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern).  The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

You should install findutils because it includes tools that are very
useful for finding things on your system.


%prep
%setup -q


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_prefix}/man \
    --infodir=%{_prefix}/info \
    --localstatedir=/var

make %{?_smp_mflags}


%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

gzip --best $RPM_BUILD_ROOT%{_infodir}/*.info
rm -f $RPM_BUILD_ROOT%{_infodir}/dir
/usr/bin/strip $RPM_BUILD_ROOT%{_bindir}/* || :

(   cd $RPM_BUILD_ROOT
    mkdir -p usr/linux/bin
    cd usr/linux/bin
    ln -sf ../../..%{_bindir}/* .
    cd -
    mkdir -p usr/bin 
    cd usr/bin
    for f in locate updatedb 
    do
      ln -sf ../..%{_bindir}/$f .
    done
)


%post
/sbin/install-info %{_infodir}/find.info.gz %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/find.info.gz %{_infodir}/dir || :
fi


%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,system)
%doc AUTHORS COPYING NEWS README THANKS TODO
%{_bindir}/*
%{_libexecdir}/*
%{_mandir}/man?/*
%{_infodir}/find.info*
%{_datadir}/locale/*


%changelog
* Fri Jun 19 2009 Michael Perzl <michael@perzl.org> - 4.4.2-1
- updated to version 4.4.2

* Fri Jun 19 2009 Michael Perzl <michael@perzl.org> - 4.4.1-1
- updated to version 4.4.1

* Mon Mar 17 2008 Michael Perzl <michael@perzl.org> - 4.4.0-1
- updated to version 4.4.0

* Fri Mar 14 2008 Michael Perzl <michael@perzl.org> - 4.2.33-1
- first version for AIX V5.1 and higher
